// const Imap = require('imap');

// const imap = new Imap({
//   user: 'info@prestogroup.com',
//   // user: 'customercare@cohtechnologies.com',
//   password: 'YmD2Afu645UV',
//   // password: 'zydrkxhncdzjkyrg',
//   // host: 'imap.secureserver.net',
//   host: 'imap.zoho.com',
//   port: 993,
//   tls: true,
//   tlsOptions: { rejectUnauthorized: false }
// });

// imap.once('ready', function () {
//   console.log('IMAP Connection Successful');
//   imap.end();
// });

// imap.once('error', function (err) {
//   console.error('IMAP Error:', err);
// });

// imap.connect();
const Imap = require('imap');

const imap = new Imap({
  user: 'support@busy.in',  // replace with your Zoho email
  password: 'qgfz yycu vyig mjjg', // use app password if 2FA is enabled
  host: 'imap.gmail.com',
  port: 993,
  tls: true,
  tlsOptions: { rejectUnauthorized: false } // optional for self-signed certs
});

imap.once('ready', function () {
  console.log('✅ IMAP Connection Successful');
  imap.end();
});

imap.once('error', function (err) {
  console.error('❌ IMAP Error:', err);
});

imap.connect();
